Bug 1002258 - Backport fix for Nicira Neutron Plugin (upstream bug 1204277) [NEEDINFO]
Backport fix for Nicira Neutron Plugin (upstream bug 1204277)
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-quantum (Show other bugs)
3.0
x86_64 Linux
high Severity high
: z4
: 3.0
Assigned To: Jakub Libosvar
yeylon@redhat.com
: OtherQA, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 14:25 EDT by Michael Solberg
Modified: 2016-04-26 22:57 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 08:18:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lpeer: needinfo? (msolberg)


Attachments (Terms of Use)
Proposed Backport (18.79 KB, patch)
2013-08-28 14:28 EDT, Michael Solberg
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1204277 None None None Never

  None (edit)
Description Michael Solberg 2013-08-28 14:25:52 EDT
Description of problem:
Customer has run into an issue where the NVP plugin is causing deadlocks on the Quantum database.  Here's the upstream issue:

https://bugs.launchpad.net/neutron/+bug/1204277

Version-Release number of selected component (if applicable):
openstack-quantum

How reproducible:
100%

Steps to Reproduce:
1. Set up RHOS 3 with Nicira plugin.
2. Launch some virtual machines and configure networking.

Actual results:
Quantum database queries get slow - like up to 1 min.


Expected results:
Quantum database queries should be sub-second.
Comment 1 Michael Solberg 2013-08-28 14:28:38 EDT
Created attachment 791503 [details]
Proposed Backport

This backport has only been smoke-tested.  It was modified a fair amount from the upstream backport.
Comment 4 Michael Solberg 2013-08-30 14:50:29 EDT
We did some testing this afternoon.  This patch introduces a bug where routers aren't deleted properly from the environment.  Please do not use.
Comment 7 lpeer 2013-11-11 12:24:40 EST
Ofer - could you please verify that the backporting did not cause any regressions, the scratch build to test is specify in comment #6.
Comment 8 Rami Vaknin 2013-11-15 05:35:03 EST
(In reply to lpeer from comment #7)
> Ofer - could you please verify that the backporting did not cause any
> regressions, the scratch build to test is specify in comment #6.

Done - I've install the following packages on clean rhel 6.5 and then installed Grizzly/2013-11-14.2 ran my auto-test, all passed successfully:

http://download.devel.redhat.com/brewroot/work/tasks/6259/6556259/openstack-quantum-nicira-2013.1.4-rhbz1002258.el6ost.noarch.rpm

http://download.devel.redhat.com/brewroot/work/tasks/6259/6556259/openstack-quantum-2013.1.4-rhbz1002258.el6ost.noarch.rpm

http://download.devel.redhat.com/brewroot/work/tasks/6259/6556259/python-quantum-2013.1.4-rhbz1002258.el6ost.noarch.rpm
Comment 9 lpeer 2013-12-24 02:03:26 EST
Michael, we backported the fix and QE tested that there are no regressions.
We do not have access to setup with the required software (NVP/NSX plugin), who  can verify the bug?
Comment 11 Scott Lewis 2014-01-21 14:59:04 EST
Adding >=POST to next async release
Comment 12 lpeer 2014-01-22 08:18:53 EST
The patch with the backport and a scratch build was attached we did not get any feedback on the patch.
If we want this fix we need someone to verify it.
Comment 13 Dave Maley 2014-01-22 13:17:27 EST
The customer found a temporary workaround by disabling the metadata service and believes the issue will go away when they move to Havana, and thus they closed the ticket.

Note You need to log in before you can comment on or make changes to this bug.